
#include "country_codes.h"

// Windows keymap codes:
// rdesktop-*/doc/keymap-names.txt
// http://www.science.co.il/Language/Locale-Codes.asp
// http://www.statoids.com/wab.html

struct ContryCodes amiga_country_codes[] = {
{ "Albania",		"ALB",	"AL",	"AL",	"",	"Albanian",			0x41c,	1250 },
{ "Argentina",		"ARG",	"RA",	"AR",	"",	"Spanish (Argentina)",		0x2c0a,	1252 },
{ "Armenia",		"ARM",	"AM",	"AM",	"",	"Armenian",			0x42b,	0 },
{ "Australia",		"AUS",	"AUS",	"AU",	"",	"English (Australia)",		0xc09,	1252 },
{ "Austria",		"AUT",	"A",	"AT",	"",	"German (Austria)",		0xc07,	1252 },
{ "Azerbaijan",		"AZE",	"AZ",	"AZ",	"",	"Azeri (Cyrillic)",		0x82c,	1251 },
{ "Bahrain",		"BHR",	"BRN",	"BH",	"",	"Arabic (Bahrain)",		0x3c01,	1256 },
{ "Belarus",		"BLR",	"BY",	"BY",	"",	"Belarusian",			0x423,	1251 },
{ "Belgium",		"BEL",	"B",	"BE",	"",	"French (Belgium)",		0x80c,	1252 },
{ "Belize",		"BLZ",	"BZ",	"BZ",	"",	"English (Belize)",		0x2809,	1252 },
{ "Bolivia",		"BOL",	"BOL",	"BO",	"",	"Spanish (Bolivia)",		0x400a,	1252 },
{ "Brazil",		"BRA",	"BR",	"BR",	"",	"Portuguese (Brazil)",		0x416,	1252 },
{ "Brunei Darussalam",	"BRN",	"BRU",	"BN",	"",	"Malay (Brunei Darussalam)",	0x83e,	1252 },
{ "Bulgaria",		"BGR",	"BG",	"BG",	"",	"Bulgarian",			0x402,	1251 },
{ "Canada",		"CAN",	"CDN",	"CA",	"",	"English (Canada)",		0x1009,	1252 },
{ "Chile",		"CHL",	"RCH",	"CL",	"",	"Spanish (Chile)",		0x340a,	1252 },
{ "China",		"CHN",	"",	"CN",	"",	"Chinese (PRC)",		0x804,	936 },
{ "Colombia",		"COL",	"CO",	"CO",	"",	"Spanish (Colombia)",		0x240a,	1252 },
{ "Costa Rica",		"CRI",	"CR",	"CR",	"",	"Spanish (Costa Rica)",		0x140a,	1252 },
{ "Croatia",		"HRV",	"HR",	"HR",	"",	"Croatian",			0x41a,	1250 },
{ "Czech Republic",	"CZE",	"CZ",	"CZ",	"",	"Czech",			0x405,	1250 },
{ "Denmark",		"DNK",	"DK",	"DK",	"",	"Danish",			0x406,	1252 },
{ "Dominican Republic",	"DOM",	"DOM",	"DO",	"",	"Spanish (Dominican Republic)",	0x1c0a,	1252 },
{ "Ecuador",		"ECU",	"EC",	"EC",	"",	"Spanish (Ecuador)",		0x300a,	1252 },
{ "Egypt",		"EGY",	"ET",	"EG",	"",	"Arabic (Egypt)",		0xc01,	1256 },
{ "El Salvador",	"SLV",	"ES",	"SV",	"",	"Spanish (El Salvador)",	0x440a,	1252 },
{ "Estonia",		"EST",	"EST",	"EE",	"",	"Estonian",			0x425,	1257 },
{ "Faroe Islands",	"FRO",	"FO",	"FO",	"",	"Faroese",			0x438,	1252 },
{ "Finland",		"FIN",	"FIN",	"FI",	"",	"Finnish",			0x40b,	1252 },
{ "France",		"FRA",	"F",	"FR",	"",	"French (France)",		0x40c,	1252 },
{ "Georgia",		"GEO",	"GE",	"GE",	"",	"Georgian",			0x437,	0 },
{ "Germany",		"DEU",	"D",	"DE",	"",	"German (Germany)",		0x407,	1252 },
{ "Greece",		"GRC",	"GR",	"GR",	"",	"Greek",			0x408,	1253 },
{ "Guatemala",		"GTM",	"GCA",	"GT",	"",	"Spanish (Guatemala)",		0x100a,	1252 },
{ "Honduras",		"HND",	"",	"HN",	"",	"Spanish (Honduras)",		0x480a,	1252 },
{ "Hong Kong",		"HKG",	"HK",	"HK",	"",	"Chinese (Hong Kong S.A.R.)",	0xc04,	950 },
{ "Hungary",		"HUN",	"H",	"HU",	"",	"Hungarian",			0x40e,	1250 },
{ "Iceland",		"ISL",	"IS",	"IS",	"",	"Icelandic",			0x40f,	1252 },
{ "India",		"IND",	"IND",	"IN",	"",	"Hindi",			0x439,	0 },
{ "Indonesia",		"IDN",	"RI",	"ID",	"",	"Indonesian",			0x421,	1252 },
{ "Iran",		"IRN",	"IR",	"IR",	"",	"Farsi",			0x429,	1256 },
{ "Iraq",		"IRQ",	"IRQ",	"IQ",	"",	"Arabic (Iraq)",		0x801,	1256 },
{ "Ireland",		"IRL",	"IRL",	"IE",	"",	"English (Ireland)",		0x1809,	1252 },
{ "Israel",		"ISR",	"IL",	"IL",	"",	"Hebrew",			0x40d,	1255 },
{ "Italy",		"ITA",	"I",	"IT",	"",	"Italian (Italy)",		0x410,	1252 },
{ "Jamaica",		"JAM",	"JA",	"JM",	"",	"English (Jamaica)",		0x2009,	1252 },
{ "Japan",		"JPN",	"J",	"JP",	"",	"Japanese",			0x411,	932 },
{ "Jordan",		"JOR",	"HKJ",	"JO",	"",	"Arabic (Jordan)",		0x2c01,	1256 },
{ "Kazakhstan",		"KAZ",	"KZ",	"KZ",	"",	"Kazakh",			0x43f,	1251 },
{ "Kenya",		"KEN",	"EAK",	"KE",	"",	"Swahili",			0x441,	1252 },
{ "Korea, South",	"KOR",	"ROK",	"KR",	"",	"Korean",			0x412,	949 },
{ "Kuwait",		"KWT",	"KWT",	"KW",	"",	"Arabic (Kuwait)",		0x3401,	1256 },
{ "Kyrgyzstan",		"KGZ",	"KS",	"KG",	"",	"Kyrgyz (Cyrillic)",		0x440,	1251 },
{ "Latvia",		"LVA",	"LV",	"LV",	"",	"Latvian",			0x426,	1257 },
{ "Lebanon",		"LBN",	"RL",	"LB",	"",	"Arabic (Lebanon)",		0x3001,	1256 },
{ "Libya",		"LBY",	"LAR",	"LY",	"",	"Arabic (Libya)",		0x1001,	1256 },
{ "Liechtenstein",	"LIE",	"FL",	"LI",	"",	"German (Liechtenstein)",	0x1407,	1252 },
{ "Lithuania",		"LTU",	"LT",	"LT",	"",	"Lithuanian",			0x427,	1257 },
{ "Luxembourg",		"LUX",	"L",	"LU",	"",	"German (Luxembourg)",		0x1007,	1252 },
{ "Macau",		"MAC",	"",	"MO",	"MCO",	"Chinese (Macau S.A.R.)",	0x1404,	950 },
{ "Macedonia",		"MKD",	"MK",	"MK",	"",	"FYRO Macedonian",		0x42f,	1251 },
{ "Malaysia",		"MYS",	"MAL",	"MY",	"",	"Malay (Malaysia)",		0x43e,	1252 },
{ "Maldives",		"MDV",	"",	"MV",	"",	"Divehi",			0x465,	0 },
{ "Mexico",		"MEX",	"MEX",	"MX",	"",	"Spanish (Mexico)",		0x80a,	1252 },
{ "Monaco",		"MCO",	"MC",	"MC",	"",	"French (Monaco)",		0x180c,	1252 },
{ "Mongolia",		"MNG",	"MGL",	"MN",	"",	"Mongolian (Cyrillic)",		0x450,	1251 },
{ "Morocco",		"MAR",	"MA",	"MA",	"",	"Arabic (Morocco)",		0x1801,	1256 },
{ "Netherlands",	"NLD",	"NL",	"NL",	"",	"Dutch (Netherlands)",		0x413,	1252 },
{ "New Zealand",	"NZL",	"NZ",	"NZ",	"",	"English (New Zealand)",	0x1409,	1252 },
{ "Nicaragua",		"NIC",	"NIC",	"NI",	"",	"Spanish (Nicaragua)",		0x4c0a,	1252 },
{ "Norway",		"NOR",	"N",	"NO",	"",	"Norwegian (Bokmal)",		0x414,	1252 },
{ "Oman",		"OMN",	"",	"OM",	"",	"Arabic (Oman)",		0x2001,	1256 },
{ "Pakistan",		"PAK",	"PK",	"PK",	"",	"Urdu",				0x420,	1256 },
{ "Panama",		"PAN",	"PA",	"PA",	"",	"Spanish (Panama)",		0x180a,	1252 },
{ "Paraguay",		"PRY",	"PY",	"PY",	"",	"Spanish (Paraguay)",		0x3c0a,	1252 },
{ "Peru",		"PER",	"PE",	"PE",	"",	"Spanish (Peru)",		0x280a,	1252 },
{ "Philippines",	"PHL",	"RP",	"PH",	"",	"English (Philippines)",	0x3409,	1252 },
{ "Poland",		"POL",	"PL",	"PL",	"",	"Polish",			0x415,	1250 },
{ "Portugal",		"PRT",	"P",	"PT",	"",	"Portuguese (Portugal)",	0x816,	1252 },
{ "Puerto Rico",	"PRI",	"USA",	"PR",	"",	"Spanish (Puerto Rico)",	0x500a,	1252 },
{ "Qatar",		"QAT",	"Q",	"QA",	"",	"Arabic (Qatar)",		0x4001,	1256 },
{ "Romania",		"ROU",	"RO",	"RO",	"ROM",	"Romanian",			0x418,	1250 },
{ "Russian Federation","RUS",	"RUS",	"RU",	"",	"Russian",			0x419,	1251 },
{ "Saudi Arabia",	"SAU",	"SA",	"SA",	"",	"Arabic (Saudi Arabia)",	0x401,	1256 },
{ "Serbia and Montenegro","SCG","SCG","CS",	"SPB",	"Serbian (Cyrillic)",		0xc1a,	1251 },
{ "Singapore",		"SGP",	"SGP",	"SG",	"",	"Chinese (Singapore)",		0x1004,	936 },
{ "Slovakia",		"SVK",	"SK",	"SK",	"",	"Slovak",			0x41b,	1250 },
{ "Slovenia",		"SVN",	"SLO",	"SI",	"",	"Slovenian",			0x424,	1250 },
{ "South Africa",	"ZAF",	"ZA",	"ZA",	"",	"English (South Africa)",	0x1c09,	1252 },
{ "Spain",		"ESP",	"E",	"ES",	"",	"Spanish (Traditional Sort)",	0x40a,	1252 },
{ "Sweden",		"SWE",	"S",	"SE",	"",	"Swedish",			0x41d,	1252 },
{ "Switzerland",	"CHE",	"CH",	"CH",	"",	"German (Switzerland)",		0x807,	1252 },
{ "Syria",		"SYR",	"SYR",	"SY",	"",	"Arabic (Syria)",		0x2801,	1256 },
{ "Taiwan",		"TWN",	"RC",	"TW",	"",	"Chinese (Taiwan)",		0x404,	950 },
{ "Thailand",		"THA",	"T",	"TH",	"",	"Thai",				0x41e,	874 },
{ "Trinidad and Tobago","TTO","TT",	"TT",	"",	"English (Trinidad)",		0x2c09,	1252 },
{ "Tunisia",		"TUN",	"TN",	"TN",	"",	"Arabic (Tunisia)",		0x1c01,	1256 },
{ "Turkey",		"TUR",	"TR",	"TR",	"",	"Turkish",			0x41f,	1254 },
{ "Ukraine",		"UKR",	"UA",	"UA",	"",	"Ukrainian",			0x422,	1251 },
{ "United Arab Emirates","ARE",	"",	"AE",	"",	"Arabic (U.A.E.)",		0x3801,	1256 },
{ "United Kingdom",	"GBR",	"GB",	"GB",	"UK",	"English (United Kingdom)",	0x809,	1252 },
{ "United States of America","USA","USA","US",	"",	"English (United States)",	0x409,	1252 },
{ "Uruguay",		"URY",	"ROU",	"UY",	"",	"Spanish (Uruguay)",		0x380a,	1252 },
{ "Uzbekistan",		"UZB",	"UZ",	"UZ",	"",	"Uzbek (Cyrillic)",		0x843,	1251 },
{ "Venezuela",		"VEN",	"YV",	"VE",	"",	"Spanish (Venezuela)",		0x200a,	1252 },
{ "Viet Nam",		"VNM",	"VN",	"VN",	"",	"Vietnamese",			0x42a,	1258 },
{ "Yemen",		"YEM",	"YAR",	"YE",	"",	"Arabic (Yemen)",		0x2401,	1256 },
{ "Zimbabwe",		"ZWE",	"ZW",	"ZW",	"",	"English (Zimbabwe)",		0x3009,	1252 },

{ NULL,			NULL,	NULL,	NULL,	NULL,	NULL,				0x0000, 0 }
};
